function [S]=Gam(NbCal,locPrem,locTot,locTout,p,n,VVarEntree,FFonction)
%==============================================================
%                     fonction GAM
% INPUTS : 
%    NbCal : nb de repetition du calcul
%    locPrem : vaut 1 si calcul des indices de premier ordre, 0 sinon
%    locTot : vaut 1 si calcul des indices totaux, 0 sinon
%    locTout : vaut 1 si calcul des indices  tout ordre, 0 sinon
%    p : nb de variables d'entree
%    n : nb de simulation de Monte-Carlo
%    VVarEntree : tableau contenant les info sur les variables d'entree
%                  (numero de la var, loi, parametre 1, param 2)
%    FFonction : string contenant la focntion du modele
%
% OUTPUTS :
%    S : tableau contenant les indices de premier ordre
%             (numero indice, moyenne sur NbCal, ecart-type)
%
% Julien JACQUES, avril 2006
%==============================================================
 S=[];         %matrice des indices
 GAM=[];
 %degre des splines du modele GAM
 d=3;
 for k=1:NbCal
     x=[];yhat=[];h=[];m=[];ybar=[];variance=[];
     V=[];D=[];
     %tri en fonction de la colonne var de la matrice d'entréep1
     for i=1:p
        loi=VVarEntree(i,2);
        p1=VVarEntree(i,3);
        p2=VVarEntree(i,4);
        x(:,i)=simule(loi,p1,p2,n,1,1);
     end
     y=eval(FFonction);
     [yhat,h,m,ybar,variance]=addfit(x,y,d);
     V=std(m).^2;
     D=sum(V)+variance;
     GAM(k,:)=V./D;
     expliq(k)=1-variance/D;
 end
 % INDICES GAM
 result=[(1:p)' mean(GAM)' sqrt(var(GAM))'];
 S=result
 disp('model explication');
 disp(mean(expliq));