function [S]=Prcc(NbCal,locPrem,locTot,locTout,p,n,VVarEntree,FFonction)
%==============================================================
%                     fonction Prcc
% INPUTS : 
%    NbCal : nb de repetition du calcul
%    locPrem : vaut 1 si calcul des indices de premier ordre, 0 sinon
%    locTot : vaut 1 si calcul des indices totaux, 0 sinon
%    locTout : vaut 1 si calcul des indices  tout ordre, 0 sinon
%    p : nb de variables d'entree
%    n : nb de simulation de Monte-Carlo
%    VVarEntree : tableau contenant les info sur les variables d'entree
%                  (numero de la var, loi, parametre 1, param 2)
%    FFonction : string contenant la focntion du modele
%
% OUTPUTS :
%    S : tableau contenant les indices de premier ordre
%             (numero indice, moyenne sur NbCal, ecart-type)
%
% Julien JACQUES, avril 2006
%==============================================================
    S=[];         %matrice des indices
    PRCC=[];
    if n>1000
        disp('too high iterations number for PRCC computation. We fix it to 1000');
        n=1000;
    end
    %lancement des Nbcalcul calculs d'indice
    for k=1:NbCal
    u=[];
    %tri en fonction de la colonne var de la matrice d'entréep1
    for i=1:p
        loi=VVarEntree(i,2);
        p1=VVarEntree(i,3);
        p2=VVarEntree(i,4);
        u(:,i)=simule(loi,p1,p2,n,1,1);
    end
    % MATRICE DU PLAN D'EXPERIENCE
    X=[ones(n,1) u];
    % CALCUL DE LA SORTIE Y=F(X)
    Y=[];
    x=u;
    Y=eval(FFonction);
    %affectation des rangs
    for i=1:p
        Xr=zeros(n,1);
        [loc,I]=sort(X(:,i));
        Xr(I)=(1:n)';
        X(:,i)=Xr;
    end
    Yr=zeros(n,1);
    [loc,I]=sort(Y);
    Yr(I)=(1:n)';
    Y=Yr;
    for i=1:p
        XX=[];Xi=[];Yreg=[];Xireg=[];
        if i==1
            XX=X(:,3:p+1);
        elseif i==p
            XX=X(:,2:p);
        else
            XX=[X(:,2:i) X(:,i+2:p+1)];
        end
        Xi=X(:,i+1);
        XX=[ones(n,1) XX];
        % REGRESSION
        Yreg=XX*inv(XX'*XX)*XX'*Y;
        Xireg=XX*inv(XX'*XX)*XX'*Xi;
        c=cov(Xi-Xireg,Y-Yreg);    
        PRCC(k,i)=c(1,2)/sqrt(c(1,1)*c(2,2));
    end
end
% INDICES PCC
result=[(1:p)' mean(PRCC)' sqrt(var(PRCC))'];
S=result

