function [S]=Srrc(NbCal,locPrem,locTot,locTout,p,n,VVarEntree,FFonction)
%==============================================================
%                     fonction Srrc
% INPUTS : 
%    NbCal : nb de repetition du calcul
%    locPrem : vaut 1 si calcul des indices de premier ordre, 0 sinon
%    locTot : vaut 1 si calcul des indices totaux, 0 sinon
%    locTout : vaut 1 si calcul des indices  tout ordre, 0 sinon
%    p : nb de variables d'entree
%    n : nb de simulation de Monte-Carlo
%    VVarEntree : tableau contenant les info sur les variables d'entree
%                  (numero de la var, loi, parametre 1, param 2)
%    FFonction : string contenant la focntion du modele
%
% OUTPUTS :
%    S : tableau contenant les indices de premier ordre
%        (numero indice, moyenne sur NbCal, ecart-type)
%
% Julien JACQUES, avril 2006
%==============================================================
    S=[];         %matrice des indices
    SRRC=zeros(p,1);
    %lancement des Ncalcul calculs d'indice
    for k=1:NbCal
        x=[];
        %tri en fonction de la colonne var de la matrice d'entréep1
        for i=1:p
            loi=VVarEntree(i,2);
            p1=VVarEntree(i,3);
            p2=VVarEntree(i,4);
            x(:,i)=simule(loi,p1,p2,n,1,1);
        end
        % MATRICE DU PLAN D'EXPERIENCE
        X=[ones(n,1) x];
        % CALCUL DE LA SORTIE Y=F(X)
        y=[];
        y=eval(FFonction);
        yr=zeros(n,1);
        [toto,I]=sort(y);
        yr(I)=(1:n)';
		% CALCUL DES RANGS 1
		xr=zeros(n,1);
		[toto,I]=sort(x(:,1));
		xr(I)=(1:n)';
		SRRC(k,1)=(1-((6*sum((xr-yr).^2))/(n^3-n))).^2;
		% CALCUL DES RANGS p
		xr=zeros(n,1);
		[toto,I]=sort(x(:,p));
		xr(I)=(1:n)';
		SRRC(k,p)=(1-((6*sum((xr-yr).^2))/(n^3-n))).^2;
		% CALCUL DES RANGS i=2,..,p-1
		if p>2,
           for i=2:p-1
                xr=zeros(n,1);
                [toto,I]=sort(x(:,i));
                xr(I)=(1:n)';
                SRRC(k,i)=(1-((6*sum((xr-yr).^2))/(n^3-n))).^2;
           end
		end
    end
    result=[(1:p)' mean(SRRC)' sqrt(var(SRRC))'];
    S=result
    disp('mean and standard deviation of indices sum');
    disp([sum(result(:,2)) sum(result(:,3))]);
