function [u]=simule(loi,p1,p2,n,m,locSampling) 
%==============================================================
% Simulation d'une variable u de loi et parametres
% donnees en entree
%
% Julien JACQUES, avril 2006
%==============================================================
        if loi==1 %simulation uniforme entre p1 et p2
            if locSampling==1
                u=rand(n,m).*(p2-p1)+p1;
            else %locSampling==2
                u=SobolGenerator(n,m).*(p2-p1)+p1;
            end
        end
        if loi==2 %simulation normale N(p1,p2)
            u=randn(n,m).*sqrt(p2)+p1;
        end
        if loi==3 %simulation Expo E(p1)
            u=exprnd(p1,n,m);
        end
        if loi==4 %simulation Weibull W(p1,p2)
            u=weibrnd(p1,p2,n,m);
        end
        if loi==5 %simulation Gamma G(p1,p2)
            u=gamrnd(p1,p2,n,m);
        end
        if loi==6 %simulation student t(p1)
            u=trnd(p1,n,m);
        end
        if loi==7 %simulation beta B(p1,p2)
            u=betarnd(p1,p2,n,m);
        end
        if loi==8 %simulation chi2 X2(p1)
            u=chi2rnd(p1,n,m);
        end
        if loi==9 %simulation normale LN(p1,p2)
            u=lognrnd(p1,p2,n,m);
            %u=exp(randn(n,m).*sqrt(p2)+p1);
        end